--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Store that compresses cached data using GZip. Usually wraps other stores and good for caching of large pages.
constants: []

full_name: Merb::Cache::GzipStore
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: compress
- !ruby/object:RI::MethodSummary 
  name: decompress
- !ruby/object:RI::MethodSummary 
  name: delete
- !ruby/object:RI::MethodSummary 
  name: delete_all!
- !ruby/object:RI::MethodSummary 
  name: exists?
- !ruby/object:RI::MethodSummary 
  name: fetch
- !ruby/object:RI::MethodSummary 
  name: read
- !ruby/object:RI::MethodSummary 
  name: writable?
- !ruby/object:RI::MethodSummary 
  name: write
- !ruby/object:RI::MethodSummary 
  name: write_all
name: GzipStore
superclass: AbstractStrategyStore
